<?php
function show_actions($actions) {
  $action_tbl = "<table><tr>\n";
  foreach($actions as $action => $value) {
    if (!$value['show']) continue;
    $action_tbl .= "<td id='icon_$action' class='icon" . ($value['enabled']?" on":"") . "' title='" . str_replace("<br>", " ", $value['label']) . "'>";
//    $action_tbl .= "<div onclick='clicked(this)' title='" . str_replace("<br>", " ", $value['label']) . "'></div>";
    $action_tbl .= "<div onclick='clicked(this, \"" . (array_key_exists('confirmation', $value) ? $value['confirmation'] : '') . "\")' id='" . $action . "'></div>";
    $action_tbl .= $value['label'] . "</td>";
  }

  $action_tbl .= "</tr></table>\n";
  return $action_tbl;
}

function paginate($count, $current, $maxlines, $maxpages, $url_base) {
  if ($count > $maxlines) {
    $content = "<center>\n";

    if (!strrchr($url_base, '?')) {
      $url_base .= '?';
    } else if (!strrchr($url_base, '&')) {
      $url_base .= '&';
    }
    
    // calculate number of pages
    $page_count = ceil($count / $maxlines);
    $page_min = max(1, min($current - floor($maxpages/2), $page_count - ($maxpages - 1)));
    $page_max = min($page_count, $page_min + ($maxpages - 1));

    if ($page_min > 1) {
      $content .= "<a href=\"" . $url_base . "offset=1\" class='pagination'>&laquo;</a>";
      $content .= "<a href=\"" . $url_base . "offset=" . ($current - 1) . "\" class='pagination'>&lsaquo;</a>";
    }
    for ($i = $page_min; $i < $page_max; $i++) {
      $content .= "<a href=\"" . $url_base . "offset=$i\" class='pagination" . ($i == $current?" cpage":"") . "'>" . $i . "</a>|";
    }
    $content .= "<a href=\"" . $url_base . "offset=$i\" class='pagination" . ($i == $current?" cpage":"") . "'>" . $i . "</a>\n";
    if ($page_max < $page_count) {
      $content .= "<a href=\"" . $url_base . "offset=" . ($current + 1) . "\" class='pagination'>&rsaquo;</a>";
      $content .= "<a href=\"" . $url_base . "offset=$page_count\" class='pagination'>&raquo;</a>";
    }
    $content .= "</center>\n";
  } else {
  	$content = '';
  }

  return $content;
}



?>